/*
This is a part of the IconDesk source code.

Copyright (C) 2003 Erik Christiansson, aka Sci
www.alphafish.com
erik@alphafish.com

This program is free software; you can redistribute it and/or
modify it under the terms of the GNU General Public License
as published by the Free Software Foundation; either version 2
of the License, or (at your option) any later version.

This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with this program; if not, write to the Free Software
Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
*/

#include "Icon.h"

Icon::Icon()
{
	x = y = 0;
	SetRect(&iconRect, 0, 0, 0, 0);
	SetRect(&iconRect, 0, 0, 0, 0);
	_hIcon = NULL;
	lFlags = 0;
	toolId = NULL;
	//hbmBuffer = NULL;
	//hdcBuffer = NULL;
}

Icon::~Icon()
{
	/*if(hbmBuffer) {
		DeleteObject(hbmBuffer);
	}
	if(hdcBuffer) {
		DeleteObject(hdcBuffer);
	}*/
	if(_hIcon) {
		DestroyIcon(_hIcon);
	}
}

void Icon::SetIcon(HICON hIcon)
{
	if(_hIcon) {
		DestroyIcon(_hIcon);
	}
	_hIcon = hIcon;
}

HICON Icon::GetIcon()
{
	return _hIcon;
}

bool Icon::PointOver(int x, int y)
{
	POINT mouse = {x, y};
	if(PtInRect(&textRect, mouse) || PtInRect(&iconRect, mouse)) {
		return true;
	}
	else {
		return false;
	}
}
