/*
This is a part of the IconDesk source code.

Copyright (C) 2003 Erik Christiansson, aka Sci
www.alphafish.com
erik@alphafish.com

This program is free software; you can redistribute it and/or
modify it under the terms of the GNU General Public License
as published by the Free Software Foundation; either version 2
of the License, or (at your option) any later version.

This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with this program; if not, write to the Free Software
Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
*/

#ifndef __ICON_H_
#define __ICON_H_

#include <string>
#include <windows.h>

class Icon
{
public:
	Icon();
	~Icon();

	virtual void Execute(std::string sCommand) = 0;

	virtual void LoadIcon(int nSize) = 0;
	void SetIcon(HICON hIcon);
	HICON GetIcon();
	bool PointOver(int x, int y);

	int x;
	int y;
	RECT iconRect;
	RECT textRect;
	std::string sTitle;
	long lFlags;
	UINT toolId;
	HWND hParent;

	// Icon effects
	//HBITMAP hbmBuffer;
	//HDC hdcBuffer;

	enum IconFlags {
		ICON_FOLDER = 0x1,
		ICON_FIRST = 0x2,
		ICON_LAST = 0x4,
		ICON_FILESYSTEM = 0x8
	};

private:
	HICON _hIcon;

};

#endif //__ICON_H_