/*
This is a part of the IconDesk source code.

Copyright (C) 2003 Erik Christiansson, aka Sci
www.alphafish.com
erik@alphafish.com

This program is free software; you can redistribute it and/or
modify it under the terms of the GNU General Public License
as published by the Free Software Foundation; either version 2
of the License, or (at your option) any later version.

This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with this program; if not, write to the Free Software
Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
*/

#include "utility.h"

int stricmp(std::string s1, std::string s2)
{
	return stricmp(s1.c_str(), s2.c_str());
}

int stricmp(std::string s1, const char* s2)
{
	return stricmp(s1.c_str(), s2);
}

int stricmp(const char* s1, std::string s2)
{
	return stricmp(s1, s2.c_str());
}

void ErrorMessage(const char* pszFormat, ...)
{
    char szMessage[1024];
    va_list argList;
    
    va_start(argList, pszFormat);
    wvsprintf(szMessage, pszFormat, argList);
    va_end(argList);
    
	MessageBox(NULL, szMessage, "IconDesk", MB_SETFOREGROUND | MB_ICONERROR);
}
